// Author: Torsten.Leitner@email.de
// (c) 2006/2007


#include "logbuch.h"

log::log()
{
	
//	char logname[80]; sprintf(logname,"%s.log",PROGRAM_NAME);
//	log.open(logname, ios::out|ios::trunc);

	char logname[80]; sprintf(logname,"%s.log",PROGRAM_NAME);
	ofstream logstream;
	logstream.open(logname, ios::out|ios::trunc);
	
	logstream << LOG_SEPARATOR_STARS << endl;
	logstream << "   " << logname << " --- " << timestamp() << endl;
	logstream << LOG_SEPARATOR_STARS << endl;
	logstream << " " << endl;
	
	logstream.close();
	
	cout << " Log-Class initialized ... " << endl;
}

log::~log()
{
	//logstream.close();
}


int log::screen(string message)
{
	cout << message << endl;
	return 0;	
}

int log::file(string message)
{
	char logname[80]; sprintf(logname,"%s.log",PROGRAM_NAME);
	ofstream logstream;
	logstream.open(logname, ios::out|ios::app);
	
	logstream << message << endl;
	
	logstream.close();
	return 0;	
}

int log::both(string message)
{
	char logname[80]; sprintf(logname,"%s.log",PROGRAM_NAME);
	ofstream logstream;
	
	logstream.open(logname, ios::out|ios::app);
	logstream << message << endl;
	logstream.close();
	
	cout << message << endl;
	
	return 0;	
}
