// Author: Torsten.Leitner@email.de
// (c) 2006/2007


#ifndef INANDOUT_H_
#define INANDOUT_H_


#include <stdio.h>
#include <iostream>
#include <iomanip>
#include <fstream>
#include <string>
#include <math.h>
#include <complex>
#include <vector>
#include <sstream>

#include "Constants.h"
#include "tArrayComplex2D_rt.h"


using namespace std;

int SaveXt(Complex *xt,	int Ntw, double Omegamax , double omega0 , double qmin , double qmax ,  char *stdfilename, int filenr);



int write_time_spatially_integrated_power(class tArrayComplex2D_rt *E, 
  		  		    int jtmin, int jtmax, int djt,
				    char *stdoutname, int filenr   );

int write_time_OnAxis(class tArrayComplex2D_rt *E, char *stdname, int filenr   );

int write_time_2d(class tArrayComplex2D_rt *E, 
				  		int irmin, int irmax, int dir, 
				  		int jtmin, int jtmax, int djt,
				  		char *stdmeshname, int filenr   );




int write_omegaOverOmega0_spatially_integrated(class tArrayComplex2D_rt *E , 
						double omega0, double qmin, double qmax,
						char *text,int filenr	);  

int write_omegaOverOmega0_onAxis(class tArrayComplex2D_rt *E , 
					double omega0, double qmin, double qmax,
					char *stdname,int filenr	);


int write_omegaOverOmega0_2d(class tArrayComplex2D_rt *E, double omega0 ,
				  		double qmin , double qmax ,
				  		int irmin, int irmax, int dir, 
				  		char *stdmeshname, int filenr   );	











int SaveOneLineOnly(class tArrayComplex2D_rt *H, int ir, char *stdfilename, double omega0 , int filenr);



int write_omega_2d(class tArrayComplex2D_rt *E, 
				  		int irmin, int irmax, int dir, 
				  		int jtmin, int jtmax, int djt,
				  		char *stdmeshname, int filenr   );
				  		
			  	


#endif /*INANDOUT_H_*/



