// Author: Torsten.Leitner@email.de
// (c) 2006/2007


#ifndef INITFUNDAMENTALLASER_H_
#define INITFUNDAMENTALLASER_H_



#include <stdio.h>
#include <iostream>
#include <iomanip>
#include <fstream>
#include <string>
#include <cstring>
#include <cstdlib>
#include <math.h>

#include <complex>
#include <vector>

#include "tArrayComplex2D_rt.h"

#include "options.h"

#include "Constants.h"


using namespace std;


int InitFundamentalLaser_GaussianProfile_tSpace_AtomicUnits(class  tArrayComplex2D_rt *Laser,struct InputParameter     *in     ) ;

Complex gauss2d_radial(double E0,double r,double w0, double z, double xlam);

Complex gauss_tdomain(double t,double w0, double lifetime);

Complex gauss_wdomain(double w,double w0, double lifetime);

int InitFundamentalLaser_GaussianProfile_tSpace(
		class tArrayComplex2D_rt *Laser, double E0, double xlam, 
		int Nr , double *radius, double waist0, double zfocus, 
	 	int Ntw, double *time  , double lifetime   	);


int InitFundamentalLaser_GaussianProfile_tSpace(class  tArrayComplex2D_rt *Laser, 
												struct InputParameter     *in );   
												
//int InitFundamentalLaser_GaussianProfile_tSpace(class  tArrayComplex3D_xyt *Laser, 
//												struct InputParameter     *in     )   												

#endif /*INITFUNDAMENTALLASER_H_*/
